# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import os

from ubuntu_system_tests.helpers import file_system as fs
from ubuntu_system_tests.helpers.testbed import run_command_with_sudo


def _clear_cache(path):
    fs.clean_dir(os.path.join(fs.DIR_HOME_CACHE, path))
    run_command_with_sudo('sysctl -w vm.drop_caches=3')


def clear_qml_cache(app=''):
    """ Clear the cache for the desired QML app, then app is None it cleans
    all the QML apps cache
    :param app: the name of the app to clean in the cache QML dir
    """
    path = 'QML'
    if app:
        path = os.path.join('QML', 'Apps', app)
    _clear_cache(path)


def clear_app_cache(app):
    """ Clear the cache for the desired app """
    _clear_cache(app)


def clear_all_cache():
    """ Clear all the cache """
    _clear_cache('')
