# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import fixtures

from ubuntu_system_tests.helpers.location.fixture_setup import (
    SetLocationAccessRequests)

APP_ID = 'com.ubuntu.clock_clock'


class SetClockAccessRequests(fixtures.Fixture):
    """ Fill the location access request for the clock app and
    restore its initial state during the cleanup. """

    def __init__(self, location=True):
        """ Init the fixture
        :param location: Desired answer for the location service
        """
        self.location = location

    def setUp(self):
        super().setUp()

        self.useFixture(SetLocationAccessRequests(APP_ID, self.location))
