# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import os

import fixtures

from ubuntu_system_tests.helpers import music as music_app_helpers


class MusicAppWelcomeWizard(fixtures.Fixture):
    """Fixture to disable/enable first launch wizard."""

    def __init__(self, show_wizard=True):
        self.show_wizard = show_wizard

    def setUp(self):
        super().setUp()
        if os.path.exists(music_app_helpers.CONFIG_FILE):
            music_app_helpers.set_welcome_wizard(enabled=self.show_wizard)
