# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import fixtures

from ubuntu_system_tests.helpers import network


class TurnOffInternet(fixtures.Fixture):
    """Fixture to turn off internet on the device."""

    def setUp(self):
        super().setUp()
        self.useFixture(TurnOffWifi())
        self.useFixture(TurnOffDataConnection())


class TurnOffWifi(fixtures.Fixture):
    """Fixture to turn off wifi on the device."""

    def setUp(self):
        super().setUp()
        network.turn_off_wifi()
        self.addCleanup(network.turn_on_wifi)


class TurnOffDataConnection(fixtures.Fixture):
    """Fixture to turn off data connection on the device."""

    def setUp(self):
        super().setUp()
        network.turn_off_data_connection()
        self.addCleanup(network.turn_on_data_connection)
