# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015, 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers.autopilot import validate_dbus_object
from ubuntu_system_tests.helpers.scopes.apps._cpo import GenericScopeView
from ubuntu_system_tests.helpers.unity8 import UNITY8_DASH_PATH_ROOT


class GenericScopeView(GenericScopeView):

    @classmethod
    def validate_dbus_object(cls, path, state):
        return validate_dbus_object(
            path, state, UNITY8_DASH_PATH_ROOT, b'GenericScopeView',
            objectName='dashTempScopeItem')

    def enter_search_query(self, query):
        """ Over-ride base method to fix StateNotFoundError for the search
        button
        :param query: Search expression
        """
        search_button = self.wait_select_single(
            objectName='search_button')
        self.pointing_device.click_object(search_button)
        headerContainer = self.wait_select_single(
            objectName='headerContainer')
        headerContainer.contentY.wait_for(0)
        search_text_field = self.wait_select_single(
            objectName='searchTextField')
        search_text_field.write(query)
        self.get_root_instance().wait_select_single(
            objectName='processingIndicator').visible.wait_for(False)
