# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import unityclickscope

"""
This file should be used to import the helpers from unityclickscope, rather
than importing unityclickscope directly.

Any CPOs written should derive from the classes defined in this file rather
than directly from unityclickscope.

It is required to over-ride the imported classes to ensure they cannot be
instantiated directly. Otherwise this can cause Autopilot CPO errors.

"""


class ClickScope(unityclickscope.ClickScope):

    @classmethod
    def validate_dbus_object(cls, path, state):
        """This class can never be selected."""
        return False


class StoreScope(unityclickscope.StoreScope):

    @classmethod
    def validate_dbus_object(cls, path, state):
        """This class can never be selected."""
        return False


class Preview(unityclickscope.Preview):

    @classmethod
    def validate_dbus_object(cls, path, state):
        """This class can never be selected."""
        return False
