# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015, 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from unity8.dash import Preview as DashPreview
from ubuntu_system_tests.helpers.autopilot.object import \
    wait_until_is_not_moving


class Preview(DashPreview):
    """Stop the DashPreview class from being selected by Autopilot."""
    @classmethod
    def validate_dbus_object(cls, path, state):
        return False

    def click_not_moving(self, elem):
        wait_until_is_not_moving(elem)
        self.pointing_device.click_object(elem)
