# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import dbus

SCREEN_BUS = 'com.canonical.Unity.Screen'
PATH = '/'


def enable_touch_visualization():
    """Enable on-screen touch point visualization."""
    set_visualization(True)


def disable_touch_visualization():
    """Disable on-screen touch point visualization."""
    set_visualization(False)


def set_visualization(enabled):
    """Turn on or off on-screen touch point visualization.
    :param enabled: True to enable, False to turn off.
    """
    bus = dbus.SystemBus()
    screen = dbus.Interface(bus.get_object(SCREEN_BUS, PATH), SCREEN_BUS)
    screen.setTouchVisualizationEnabled(enabled)
