# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
import fixtures

from ubuntu_system_tests.helpers.system_settings import (
    get_silent_mode, set_silent_mode)


class SilentMode(fixtures.Fixture):
    """
    Fixture to set silent mode to required state and restore the original
    setting value in cleanup actions.

    """

    def __init__(self, enable):
        super().__init__()
        self.enable = enable

    def setUp(self):
        super().setUp()
        original_state = get_silent_mode()
        self.addCleanup(set_silent_mode, original_state)
        if self.enable != original_state:
            set_silent_mode(self.enable)
