# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
#
# Copyright (C) 2015 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

from autopilot.matchers import Eventually
from testtools.matchers import Equals

from ubuntu_system_tests.helpers import calculator
from ubuntu_system_tests.tests import base


class CalculatorTestCase(base.BaseUbuntuSystemTestCase):

    def setUp(self):
        super().setUp()
        self.unity_proxy = self.restart_unity()
        self.calculator = calculator.launch_calculator_app()

    def test_simple_multiplication(self):
        """Multiply two numbers."""
        self.calculator.calculate('2*3')
        self.assertThat(self.calculator.get_result(), Eventually(Equals('6')))

    def test_calculation_using_previous_result(self):
        """Add two number and multiply the result with another."""
        self.calculator.calculate('2+3')
        self.assertThat(self.calculator.get_result(), Eventually(Equals('5')))

        self.calculator.calculate('*5')
        self.assertThat(self.calculator.get_result(), Eventually(Equals('25')))
