# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2016 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from autopilot.matchers import Eventually
from testtools.matchers import Equals

from unity8 import process_helpers as unity_helpers

from ubuntu_system_tests.helpers import dialer_app
from ubuntu_system_tests.tests import base


class TestWithDialerTestCase(base.BaseUbuntuSystemTestCase):

    def setUp(self):
        super().setUp()
        self.unity = self.restart_unity()
        self.dialer_app = dialer_app.launch_dialer_app()

    def test_dialer_contacts_view_kept_on_screen_lock(self):
        """
        1. Open Dialer app and go to contacts list
        2. Lock the screen
        3. Unlock the screen
        4. Ensure contacts list is still visible
        """
        self.dialer_app.dialer_page.click_contacts_button()
        self.assertThat(self.dialer_app.contacts_page.active,
                        Eventually(Equals(True)))

        unity_helpers.lock_unity()
        unity_helpers.unlock_unity()

        self.assertThat(self.dialer_app.contacts_page.active,
                        Eventually(Equals(True)))
